int mYear;
int mCountry;
int mDewey;
String deweySubtitle;
String cPrint;
float nCheckouts;
String normString = "";

void displayInfo() {
  
  // get deweySubtitle
  TableRow divRow = subtitles.findRow(str(mDewey), 0);
  deweySubtitle = divRow.getString(1);
 
  // get number of checkouts
  int mRow = ((mDewey % 100)/10 * (noYears+1)) + (mYear-startYear);
  nCheckouts = table.getFloat(dewey_code*dispRows+mRow,mCountry+2); 
  
  // get total checkouts if normalized
  if (totMatrix[0][mCountry] == 1) normString = "";
  else if (totMatrix[0][mCountry] != 1) normString = "/" + int(totMatrix[0][mCountry]);
  
  // get country name
  cPrint = countries.getString(0,mCountry+2);
  
  // show dewey title, year, # checkouts (look up in original table)
  textAlign(CENTER, CENTER);
  textSize(14);
  fill(0);
  text(mDewey + ": " + deweySubtitle + " | " + mYear + " | " + cPrint + 
       " checkouts: " + int(nCheckouts) + normString, width/2, height - 3*constantVerticalMargin/4);  
}

void rewrite() {
  // default display when mouse is not in frame
  textAlign(CENTER, CENTER);
  textSize(14);
  fill(0);
  text("press [0-9] to explore dewey classes | press [n] to normalize | " + 
       "hover over bars for information" , width/2, height - 3*constantVerticalMargin/4);
}