// set dewey variables for desired layer
void switchLevel() {
  switch(dewey_code) {
    case 1: defaultDeweyClass = "100";
            deweyRegExp = "1..";
            deweyTitle = "Philosophy & psychology";
            break;
    case 2: defaultDeweyClass = "200";
            deweyRegExp = "2..";
            deweyTitle = "Religion";
            break;
    case 3: defaultDeweyClass = "300";
            deweyRegExp = "3..";
            deweyTitle = "Social sciences & politics";
            break;
    case 4: defaultDeweyClass = "400";
            deweyRegExp = "4..";
            deweyTitle = "Languages";
            break;
    case 5: defaultDeweyClass = "500";
            deweyRegExp = "5..";
            deweyTitle = "Science";
            break;
    case 6: defaultDeweyClass = "600";
            deweyRegExp = "6..";
            deweyTitle = "Technology";
            break;
    case 7: defaultDeweyClass = "700";
            deweyRegExp = "7..";
            deweyTitle = "Arts & recreation";
            break;
    case 8: defaultDeweyClass = "800";
            deweyRegExp = "8..";
            deweyTitle = "Literature";
            break;
    case 9: defaultDeweyClass = "900"; // dewey level 900 is default
            deweyRegExp = "9..";
            deweyTitle = "History & geography";
            break;
    case 0: defaultDeweyClass = "000";
            deweyRegExp = "^[0-9]?0$";
            deweyTitle = "Computer science & information";
            break;
  }
  
  // load new data into grid
  loadgrid(); 
}