float offsetY;

void keyPressed()
{
  if (key == 'n' || key == 'N') {
    if (normalisation==true) normalisation = false;
    else if (normalisation==false) normalisation = true; 
  }
  
  if (key == 'c' || key == 'C') {
    if (colorSwitch==true) colorSwitch = false;
    else if (colorSwitch==false) colorSwitch = true; 
  }
  
  if (key == '1' || key == '2' || key == '3' || key == '4' ||
      key == '5' || key == '6' || key == '7' || key == '8' ||
      key == '9' || key == '0' ) { // dewey level 9 is default
    deweySwitch = true;
    // set new dewey_code
    if (key == '1') dewey_code = 1;
    if (key == '2') dewey_code = 2;
    if (key == '3') dewey_code = 3;
    if (key == '4') dewey_code = 4;
    if (key == '5') dewey_code = 5;
    if (key == '6') dewey_code = 6;
    if (key == '7') dewey_code = 7;
    if (key == '8') dewey_code = 8;
    if (key == '9') dewey_code = 9;
    if (key == '0') dewey_code = 0;
  }
  
}

// mouse position: resets overGrid, 
// sets locaton vars mYear, mDewey, mCountry
void parseMouseLocation(int x, int y) {
  
  // over grid?
  if (x>constantHorizontalMargin && x<(width-constantHorizontalMargin) &&
      y>constantVerticalMargin && y<(height-constantVerticalMargin+cellHeight)) {
      overGrid = true;
      // which box?
      mCountry = floor((x-constantHorizontalMargin)/cellWidth);
      offsetY = y-constantVerticalMargin-cellHeight;
      if (offsetY < 0) offsetY = 0;
      mDewey = floor(offsetY/(cellHeight*(noYears+1)))*10 + 
               dewey_code*100;
      mYear = floor(offsetY/cellHeight)%(noYears+1) + startYear;
  }
  else if (x<=constantHorizontalMargin || x>=(width-constantHorizontalMargin) ||
           y<=constantVerticalMargin || y>=(height-constantVerticalMargin+cellHeight)) {
    overGrid = false;
  }

}